package cn.com.qmth.stmms.biz.exam.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import cn.com.qmth.stmms.biz.exam.model.InspectHistory;

public interface InspectHistoryDao extends PagingAndSortingRepository<InspectHistory, Integer>,
        JpaSpecificationExecutor<InspectHistory> {

    @Query(value = "select * from eb_inspect_history s where s.student_id=?1 order by s.inspect_time desc limit ?2 ", nativeQuery = true)
    List<InspectHistory> findByStudentIdLimit3(int studentId, int count);

}
